<androidx.coordinatorlayout.widget.CoordinatorLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/rootCoordinator"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F6F7FB"
    tools:context=".ui.home.HomeFragment">
<!-- 背景 -->
    <ImageView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:src="@drawable/bg"
        android:scaleType="fitXY"
        android:adjustViewBounds="true" />
    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fillViewport="true"
        android:overScrollMode="never">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">
            <!-- 标题和返回 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:padding="16dp"
                android:gravity="center_vertical">
                <!-- 返回按钮 -->
                <FrameLayout
                    android:id="@+id/iv_close"
                    android:layout_width="46dp"
                    android:layout_height="46dp">
                    <ImageView
                        android:layout_width="13dp"
                        android:layout_height="13dp"
                        android:layout_gravity="center"
                        android:src="@drawable/more_icons"
                        android:rotation="180"
                        android:scaleType="fitCenter" />
                </FrameLayout>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:layout_marginEnd="49dp"
                    android:gravity="center"
                    android:textStyle="bold"
                    android:text="Points recharge"
                    android:textColor="#1B1F1A"
                    android:textSize="16sp" />
            </LinearLayout>
            <!-- 现有金币 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:elevation="2dp"
                android:paddingStart="16dp"
                android:paddingEnd="16dp"
                android:orientation="horizontal">
                <!-- 金币 -->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20dp"
                    android:layout_weight="1"
                    android:orientation="vertical">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="My points"
                        android:textColor="#1B1F1A"
                        android:textSize="14sp"/>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="4230"
                        android:textColor="#02BEAC"
                        android:textSize="30sp" />
                </LinearLayout>

                <!-- 金币图标 -->
                <ImageView
                    android:layout_width="131dp"
                    android:layout_height="144dp"
                    android:layout_marginEnd="10dp"
                    android:src="@drawable/points_gold_coins"
                    android:scaleType="fitXY"/>
            </LinearLayout>

            <!-- 充值区域 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="16dp"
                android:layout_marginTop="-40dp"
                android:background="@drawable/gold_coin_recharge_bt_bg"
                android:orientation="vertical">
                <!-- 标题 -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:gravity="center_vertical">
                    <ImageView
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:src="@drawable/gold_coin"
                        android:scaleType="fitXY"/>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="8dp"
                        android:text="Recharge now"
                        android:textColor="#1B1F1A"
                        android:textSize="14sp" />
                </LinearLayout>
                <!-- 套餐选择 -->
                
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20dp"                    
                    android:orientation="vertical">
                    <!-- 套餐 -->
                    <LinearLayout
                        android:layout_width="108dp"
                        android:layout_height="116dp"
                        android:background="@drawable/gold_coin_recharge_package_bg"
                        android:gravity="center"
                        android:orientation="vertical">
                        <!-- 金币数 -->
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:orientation="horizontal">
                            <ImageView
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@drawable/gold_coin"
                                android:scaleType="fitXY"/>

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="4dp"
                                android:text="690"
                                android:textColor="#02BEAC"
                                android:textSize="20sp" />
                        </LinearLayout>
                        <!-- 花费金额 -->
                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="10dp"
                            android:gravity="center"
                            android:text="$6.90"
                            android:textSize="18sp"
                            android:textColor="#797979" />
                    </LinearLayout>
                    <!-- ````````````````````````````` -->
                </LinearLayout>
            </LinearLayout>
            
            <!-- 充值按钮区域 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="#ffffff"
                android:orientation="vertical">
            
                <!-- 充值按钮 -->
                <LinearLayout
                    android:id="@+id/rechargeButton"
                    android:layout_marginTop="126dp"
                    android:layout_width="349dp"
                    android:layout_height="57dp"
                    android:layout_gravity="center_horizontal"
                    android:gravity="center"
                    android:background="@drawable/gold_coin_recharge_button_bg"
                    android:scaleType="centerCrop"
                    android:elevation="4dp"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:textStyle="bold"
                        android:gravity="center"
                        android:textColor="#1B1F1A"
                        android:text="Recharge now" />
                </LinearLayout>
                <!-- 协议 -->
                 <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="17dp"
                    android:textSize="10sp"
                    android:text="By clicking &quot;pay&quot;, you indicate your agreement to the"
                    android:textColor="#1B1F1A"
                    android:gravity="center_horizontal"/>

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="4dp"
                    android:textSize="10sp"
                    android:text="《Embership Agreement》"
                    android:textColor="#02BEAC"
                    android:gravity="center_horizontal" />
            </LinearLayout>

        </LinearLayout>
        </androidx.core.widget.NestedScrollView>
</androidx.coordinatorlayout.widget.CoordinatorLayout>